Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes
tesseract::AmbigSpec Class Reference

`#include <ambigs.h>`

Inheritance diagram for tesseract::AmbigSpec:

List of all members.

## Public Member Functions

| AmbigSpec ()
| ~AmbigSpec ()
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Static Public Member Functions

static int | compare_ambig_specs (const void *spec1, const void *spec2)

## Public Attributes

UNICHAR_ID | wrong_ngram [MAX_AMBIG_SIZE+1]
UNICHAR_ID | correct_fragments [MAX_AMBIG_SIZE+1]
UNICHAR_ID | correct_ngram_id
AmbigType | type
int | wrong_ngram_size

## Detailed Description

Definition at line 113 of file ambigs.h.

## Constructor & Destructor Documentation

tesseract::AmbigSpec::AmbigSpec | ( |  | ) |

Definition at line 34 of file ambigs.cpp.

{
wrong_ngram[0] = INVALID_UNICHAR_ID;
correct_fragments[0] = INVALID_UNICHAR_ID;
correct_ngram_id = INVALID_UNICHAR_ID;
type = NOT_AMBIG;
wrong_ngram_size = 0;
}

tesseract::AmbigSpec::~AmbigSpec | ( |  | ) |

inline

Definition at line 116 of file ambigs.h.

{}

## Member Function Documentation

static int tesseract::AmbigSpec::compare_ambig_specs | ( | const void * | spec1,
|  | const void * | spec2
| ) |  |

inlinestatic

Definition at line 121 of file ambigs.h.

{
const AmbigSpec *s1 =
*reinterpret_cast<const AmbigSpec * const *>(spec1);
const AmbigSpec *s2 =
*reinterpret_cast<const AmbigSpec * const *>(spec2);
return UnicharIdArrayUtils::compare(s1->wrong_ngram, s2->wrong_ngram);
}

## Member Data Documentation

UNICHAR_ID tesseract::AmbigSpec::correct_fragments[MAX_AMBIG_SIZE+1]

Definition at line 130 of file ambigs.h.

UNICHAR_ID tesseract::AmbigSpec::correct_ngram_id

Definition at line 131 of file ambigs.h.

AmbigType tesseract::AmbigSpec::type

Definition at line 132 of file ambigs.h.

UNICHAR_ID tesseract::AmbigSpec::wrong_ngram[MAX_AMBIG_SIZE+1]

Definition at line 129 of file ambigs.h.

int tesseract::AmbigSpec::wrong_ngram_size

Definition at line 133 of file ambigs.h.

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/ccutil/ambigs.h
- /mnt/data/src/tesseract-ocr/ccutil/ambigs.cpp